PDA

Visualizza la versione completa : GLX e AIGLX possono convivere?


virusbye
13-09-2006, 11:10
Salve a tutti! :)

Vorrei installare sulla mia Ubuntu Dapper sia XGL che AIGLX. La mia curiosità è se queste due tecnologie possono convivere (e quindi cooperare), oppure fanno ambedue le stesse cose?

Sto leggendo un po' di roba, ma non riesco ancora a capirlo!

GreyFox86
13-09-2006, 11:22
Se le vuoi provare fai pure ma che sappia io fanno all'incirca le stesse identiche cose. Se possano convivere cmq non te lo so dire, da me non convivevano neppure una alla volta LOL.

U-bahn
13-09-2006, 13:47
sicuramente possono convivere sullo stesso disco (e ci mancherebbe altro :jam: ) ed è probabile che, se hai due schede video e due monitor, tu riesca a farli andare entrambi contemporaneamente :bhò:
comunque: 1) sì, fanno più o meno le stesse cose...solo che uno, XGL, è un server X, l'altro, AIGLX, è un'estensione per Xorg;
2) no, non possono cooperare

GreyFox86
13-09-2006, 14:38
Si infatti AIGLX è un estensione di Xorg ma devi avere la versione 7.1 la 7.0 non basta.

Casper87
13-09-2006, 18:05
aiglx supporta i temi

vortex87
13-09-2006, 18:32
Originariamente inviato da Casper87
aiglx supporta i temi

:dottò: :dottò: :dottò:

Cosa c'entrano i temi con aiglx?

Casper87
13-09-2006, 19:45
l'avevo letto su un blog...bò...comunque dicono che aiglx è ancora instabile

mcz
13-09-2006, 20:56
Aiglx funziona, al momento, solo con schede grafiche ATI e Intel, non con NVidia.
Funziona tranquillamente su Xorg-7.0 (Su Xorg-7.1 è già integrata nel server grafico e non occorre installare niente) e, contrariamente a Xgl, supporta il direct rendering.

Di compiz (quello che crea il cubo per intenderci) esistono due versioni: una per Xgl e una per Aixgl (sono comunque uguali come prestazioni e plugins).

Entrambi sono software sperimentale (instabile), ma io uso Xgl da oltre un mese e non ho mai avuto nessun problema (Uso la versione di Quinn).

Se hai la possibilità, provale tutte e due, anche perchè Xgl è destinato a scomparire presto.

mcz

GreyFox86
13-09-2006, 21:26
Ma guarda sull'howto che avevo seguito io sulla wiki di gentoo diceva che per AIGLX serviva per forza avere la versione 7.1... magari si tratta di un'altro overlay, boh.
Comunque beato te, io ho provato a metterlo (ho una ati con i driver installati correttamente con direct rendering) ma non sono riuscito a farlo funzionare :cry:

Nescio
13-09-2006, 21:52
Originariamente inviato da mcz
Se hai la possibilità, provale tutte e due, anche perchè Xgl è destinato a scomparire presto.

mcz

perchè?
Link link...

Loading